> ## Documentation Index
> Fetch the complete documentation index at: https://anaconda.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get server details by ID



## OpenAPI

````yaml /api-reference/ai-navigator-api.json get /api/servers/{serverId}
openapi: 3.0.0
info:
  title: AI Navigator API
  version: 1.0.0
  description: API documentation for AI Navigator
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /api/servers/{serverId}:
    get:
      tags:
        - Servers
      summary: Get server details by ID
      parameters:
        - in: path
          name: serverId
          required: true
          schema:
            type: string
          description: ID of the server to retrieve
      responses:
        '200':
          description: Server details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ServerDetails'
        '400':
          description: Invalid server ID format
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Server not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ServerDetails:
      type: object
      properties:
        modelFile:
          type: object
          description: Details about the model file used by the server
          properties:
            id:
              type: string
            name:
              type: string
            localPath:
              type: string
            isDownloaded:
              type: boolean
            quantization:
              type: string
        serverConfig:
          type: object
          description: Original server configuration
          properties:
            modelFileName:
              type: string
            apiParams:
              type: object
            loadParams:
              type: object
            inferParams:
              type: object
            logsDir:
              type: string
        server:
          type: object
          properties:
            host:
              type: string
            port:
              type: integer
        tag:
          type: string
          description: Server tag (e.g., 'inference', 'embedding')
        status:
          type: string
          enum:
            - STARTING
            - RUNNING
            - STOPPING
            - STOPPED
            - ERROR
        serverProcessId:
          type: integer
          nullable: true
        id:
          type: string
          description: Unique server identifier
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - INVALID_REQUEST
                - DATABASE_NOT_RUNNING
                - INTERNAL_SERVER_ERROR
                - INVALID_SERVER_ID
                - SERVER_NOT_RUNNING
                - SERVER_RUNNING
                - INTERNAL_SERVER_ERROR
            message:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: UUID
      description: Enter your API key here

````